<?php 
class CakeflowSchema extends CakeSchema {

	public function before($event = []) {
		return true;
	}

	public function after($event = []) {
	}

	public $acos = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'model' => ['type' => 'string', 'null' => true, 'default' => null], 'foreign_key' => ['type' => 'integer', 'null' => true, 'default' => null], 'alias' => ['type' => 'string', 'null' => true, 'default' => null], 'lft' => ['type' => 'integer', 'null' => true, 'default' => null], 'rght' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $acteurs = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'typeacteur_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'nom' => ['type' => 'string', 'null' => false, 'length' => 50], 'prenom' => ['type' => 'string', 'null' => false, 'length' => 50], 'salutation' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 50], 'titre' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 250], 'position' => ['type' => 'integer', 'null' => false, 'default' => null], 'adresse1' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 100], 'adresse2' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 100], 'cp' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 20], 'ville' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 100], 'email' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 100], 'telfixe' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 20], 'telmobile' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 20], 'suppleant_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'note' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 1500], 'actif' => ['type' => 'boolean', 'null' => false, 'default' => true], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'notif_insertion' => ['type' => 'boolean', 'null' => true, 'default' => false], 'notif_projet_valide' => ['type' => 'boolean', 'null' => true, 'default' => false], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'acteurs_actif' => ['unique' => false, 'column' => 'actif'], 'index' => ['unique' => false, 'column' => 'id'], 'suppleant_id' => ['unique' => false, 'column' => 'suppleant_id'], 'typeacteur' => ['unique' => false, 'column' => 'typeacteur_id']], 'tableParameters' => []];

	public $acteurs_seances = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'acteur_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'seance_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'mail_id' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 20], 'date_envoi' => ['type' => 'datetime', 'null' => false, 'default' => null], 'date_reception' => ['type' => 'datetime', 'null' => true, 'default' => null], 'model' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 20], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $acteurs_services = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'acteur_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'service_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'acteursservices_acteur_id' => ['unique' => false, 'column' => 'acteur_id'], 'acteursservices_service_id' => ['unique' => false, 'column' => 'service_id']], 'tableParameters' => []];

	public $annexes = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'model' => ['type' => 'string', 'null' => false, 'default' => null], 'foreign_key' => ['type' => 'integer', 'null' => false, 'default' => null], 'joindre_ctrl_legalite' => ['type' => 'boolean', 'null' => false, 'default' => false], 'joindre_fusion' => ['type' => 'boolean', 'null' => false, 'default' => false], 'titre' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 200], 'filename' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 100], 'filetype' => ['type' => 'string', 'null' => false, 'default' => null], 'size' => ['type' => 'integer', 'null' => false, 'default' => null], 'data' => ['type' => 'binary', 'null' => false, 'default' => null], 'data_pdf' => ['type' => 'binary', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => true, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => true, 'default' => null], 'edition_data' => ['type' => 'binary', 'null' => true, 'default' => null], 'edition_data_typemime' => ['type' => 'text', 'null' => true, 'default' => null], 'position' => ['type' => 'smallinteger', 'null' => true, 'default' => null], 'tdt_data_pdf' => ['type' => 'binary', 'null' => true, 'default' => null], 'tdt_data_edition' => ['type' => 'binary', 'null' => true, 'default' => null], 'typologiepiece_code' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 5], 'data_file_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'data_pdf_file_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'edition_data_file_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'tdt_data_pdf_file_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'tdt_data_edition_file_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'annexes_joindre' => ['unique' => false, 'column' => ['foreign_key', 'joindre_fusion']], 'model_foreign_key' => ['unique' => false, 'column' => ['model', 'foreign_key']]], 'tableParameters' => []];

	public $annexes_versions = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'version_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'data' => ['type' => 'binary', 'null' => true, 'default' => null], 'edition_data' => ['type' => 'binary', 'null' => true, 'default' => null], 'data_pdf' => ['type' => 'binary', 'null' => true, 'default' => null], 'data_annexe' => ['type' => 'text', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => true, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => true, 'default' => null], 'foreign_key' => ['type' => 'integer', 'null' => false, 'default' => null], 'user_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'model' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 50], 'tdt_data_edition' => ['type' => 'binary', 'null' => true, 'default' => null], 'tdt_data_pdf' => ['type' => 'binary', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $aros = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'model' => ['type' => 'string', 'null' => true, 'default' => null], 'foreign_key' => ['type' => 'integer', 'null' => true, 'default' => null], 'alias' => ['type' => 'string', 'null' => true, 'default' => null], 'lft' => ['type' => 'integer', 'null' => true, 'default' => null], 'rght' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $aros_acos = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'aro_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'aco_id' => ['type' => 'integer', 'null' => false, 'default' => null], '_create' => ['type' => 'string', 'null' => false, 'default' => '0', 'length' => 2], '_read' => ['type' => 'string', 'null' => false, 'default' => '0', 'length' => 2], '_update' => ['type' => 'string', 'null' => false, 'default' => '0', 'length' => 2], '_delete' => ['type' => 'string', 'null' => false, 'default' => '0', 'length' => 2], '_manager' => ['type' => 'string', 'null' => false, 'default' => '0', 'length' => 2], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $circuits_users = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'circuit_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'user_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'user_id' => ['unique' => false, 'column' => 'user_id']], 'tableParameters' => []];

	public $collectivites = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'id_entity' => ['type' => 'integer', 'null' => true, 'default' => null], 'nom' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 128], 'adresse' => ['type' => 'string', 'null' => false, 'default' => null], 'CP' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 5], 'ville' => ['type' => 'string', 'null' => false, 'default' => null], 'telephone' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 20], 'logo' => ['type' => 'binary', 'null' => true, 'default' => null], 'templateProject' => ['type' => 'text', 'null' => true, 'default' => null], 'background' => ['type' => 'string', 'null' => true, 'default' => '#42a1e8', 'length' => 25], 'config_login' => ['type' => 'text', 'null' => true, 'default' => null], 'siret' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 14], 'code_ape' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 100], 'email' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 100], 'responsable_nom' => ['type' => 'string', 'null' => true, 'default' => null], 'responsable_prenom' => ['type' => 'string', 'null' => true, 'default' => null], 'responsable_fonction' => ['type' => 'string', 'null' => true, 'default' => null], 'responsable_email' => ['type' => 'string', 'null' => true, 'default' => null], 'dpo_nom' => ['type' => 'string', 'null' => true, 'default' => null], 'dpo_prenom' => ['type' => 'string', 'null' => true, 'default' => null], 'dpo_email' => ['type' => 'string', 'null' => true, 'default' => null], 'saas' => ['type' => 'boolean', 'null' => true, 'default' => false], 'force' => ['type' => 'integer', 'null' => true, 'default' => '5'], 'logo_file_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $commentaires = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'delib_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'agent_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'texte' => ['type' => 'text', 'null' => true, 'default' => null, 'length' => 1073741824], 'pris_en_compte' => ['type' => 'smallinteger', 'null' => false, 'default' => '0'], 'commentaire_auto' => ['type' => 'boolean', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $compteurs = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'nom' => ['type' => 'string', 'null' => false, 'default' => null], 'commentaire' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 1500], 'def_compteur' => ['type' => 'string', 'null' => false, 'default' => null], 'sequence_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'def_reinit' => ['type' => 'string', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $crons = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'nom' => ['type' => 'string', 'null' => false, 'default' => null], 'description' => ['type' => 'string', 'null' => true, 'default' => null], 'plugin' => ['type' => 'string', 'null' => true], 'action' => ['type' => 'string', 'null' => false, 'default' => null], 'has_params' => ['type' => 'boolean', 'null' => true, 'default' => null], 'params' => ['type' => 'string', 'null' => true, 'default' => null], 'next_execution_time' => ['type' => 'datetime', 'null' => true, 'default' => null], 'execution_duration' => ['type' => 'string', 'null' => true, 'default' => null], 'last_execution_start_time' => ['type' => 'datetime', 'null' => true, 'default' => null], 'last_execution_end_time' => ['type' => 'datetime', 'null' => true, 'default' => null], 'last_execution_report' => ['type' => 'text', 'null' => true, 'default' => null, 'length' => 1073741824], 'last_execution_status' => ['type' => 'string', 'null' => true, 'default' => null], 'active' => ['type' => 'boolean', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'created_user_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified_user_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'model' => ['type' => 'text', 'null' => true, 'default' => 'CronJob'], 'lock' => ['type' => 'boolean', 'null' => false, 'default' => null], 'run_all' => ['type' => 'boolean', 'null' => true, 'default' => true], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $deliberations = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'typeacte_id' => ['type' => 'integer', 'null' => false, 'default' => '1'], 'circuit_id' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'theme_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'service_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'redacteur_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'rapporteur_id' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'anterieure_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'is_multidelib' => ['type' => 'boolean', 'null' => true, 'default' => null], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'objet' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 1000], 'objet_delib' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 1000], 'titre' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 1000], 'num_delib' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 15], 'num_pref' => ['type' => 'string', 'null' => true, 'default' => null], 'pastell_id' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 10], 'tdt_id' => ['type' => 'text', 'null' => true, 'default' => null], 'tdt_dateAR' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 100], 'texte_projet' => ['type' => 'binary', 'null' => true, 'default' => null], 'texte_projet_name' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 75], 'texte_projet_type' => ['type' => 'string', 'null' => true, 'default' => null], 'texte_projet_size' => ['type' => 'integer', 'null' => true, 'default' => null], 'texte_synthese' => ['type' => 'binary', 'null' => true, 'default' => null], 'texte_synthese_name' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 75], 'texte_synthese_type' => ['type' => 'string', 'null' => true, 'default' => null], 'texte_synthese_size' => ['type' => 'integer', 'null' => true, 'default' => null], 'deliberation' => ['type' => 'binary', 'null' => true, 'default' => null], 'deliberation_name' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 75], 'deliberation_type' => ['type' => 'string', 'null' => true, 'default' => null], 'deliberation_size' => ['type' => 'integer', 'null' => true, 'default' => null], 'date_limite' => ['type' => 'date', 'null' => true, 'default' => null], 'date_envoi' => ['type' => 'datetime', 'null' => true, 'default' => null], 'etat' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'parapheur_etat' => ['type' => 'smallinteger', 'null' => true, 'default' => null], 'parapheur_commentaire' => ['type' => 'text', 'null' => true, 'default' => null, 'length' => 1073741824], 'reporte' => ['type' => 'boolean', 'null' => false, 'default' => false], 'montant' => ['type' => 'integer', 'null' => true, 'default' => null], 'debat' => ['type' => 'binary', 'null' => true, 'default' => null], 'debat_name' => ['type' => 'string', 'null' => true, 'default' => null], 'debat_size' => ['type' => 'integer', 'null' => true, 'default' => null], 'debat_type' => ['type' => 'string', 'null' => true, 'default' => null], 'avis' => ['type' => 'integer', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'vote_nb_oui' => ['type' => 'integer', 'null' => true, 'default' => null], 'vote_nb_non' => ['type' => 'integer', 'null' => true, 'default' => null], 'vote_nb_abstention' => ['type' => 'integer', 'null' => true, 'default' => null], 'vote_nb_retrait' => ['type' => 'integer', 'null' => true, 'default' => null], 'vote_commentaire' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 1500], 'delib_pdf' => ['type' => 'binary', 'null' => true, 'default' => null], 'signature' => ['type' => 'binary', 'null' => true, 'default' => null], 'signee' => ['type' => 'boolean', 'null' => false, 'default' => false], 'commission' => ['type' => 'binary', 'null' => true, 'default' => null], 'commission_size' => ['type' => 'integer', 'null' => true, 'default' => null], 'commission_type' => ['type' => 'string', 'null' => true, 'default' => null], 'commission_name' => ['type' => 'string', 'null' => true, 'default' => null], 'date_acte' => ['type' => 'datetime', 'null' => true, 'default' => null], 'date_envoi_signature' => ['type' => 'datetime', 'null' => true, 'default' => null], 'parapheur_id' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 50], 'tdt_data_pdf' => ['type' => 'binary', 'null' => true, 'default' => null], 'tdt_data_bordereau_pdf' => ['type' => 'binary', 'null' => true, 'default' => null], 'president_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'parapheur_cible' => ['type' => 'text', 'null' => true, 'default' => null], 'parapheur_bordereau' => ['type' => 'binary', 'null' => true, 'default' => null], 'tdt_ar' => ['type' => 'binary', 'null' => true, 'default' => null], 'tdt_ar_date' => ['type' => 'datetime', 'null' => true, 'default' => null], 'vote_prendre_acte' => ['type' => 'boolean', 'null' => true, 'default' => null], 'signature_type' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 100], 'numero_depot' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'texte_projet_active' => ['type' => 'boolean', 'null' => false, 'default' => false], 'texte_synthese_active' => ['type' => 'boolean', 'null' => false, 'default' => false], 'texte_acte_active' => ['type' => 'boolean', 'null' => false, 'default' => false], 'tdt_data_edition' => ['type' => 'binary', 'null' => true, 'default' => null], 'vote_resultat' => ['type' => 'boolean', 'null' => true, 'default' => null], 'tdt_message' => ['type' => 'text', 'null' => true, 'default' => null, 'length' => 1073741824], 'tdt_status' => ['type' => 'integer', 'null' => true, 'default' => null], 'tdt_document_papier' => ['type' => 'boolean', 'null' => true, 'default' => false], 'typologiepiece_code' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 5], 'publier_etat' => ['type' => 'boolean', 'null' => true, 'default' => false], 'publier_date' => ['type' => 'datetime', 'null' => true, 'default' => null], 'sae_etat' => ['type' => 'integer', 'null' => true, 'default' => null], 'sae_date' => ['type' => 'datetime', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'etat' => ['unique' => false, 'column' => 'etat'], 'nature_id' => ['unique' => false, 'column' => 'typeacte_id'], 'parent' => ['unique' => false, 'column' => 'parent_id'], 'rapporteur_id' => ['unique' => false, 'column' => 'rapporteur_id'], 'redacteur_id' => ['unique' => false, 'column' => 'redacteur_id'], 'service_id' => ['unique' => false, 'column' => 'service_id'], 'theme_id' => ['unique' => false, 'column' => 'theme_id']], 'tableParameters' => []];

	public $deliberations_seances = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'deliberation_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'seance_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'position' => ['type' => 'integer', 'null' => true, 'default' => null], 'avis' => ['type' => 'boolean', 'null' => true, 'default' => null], 'commentaire' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 1500], 'reset' => ['type' => 'boolean', 'null' => true, 'default' => false], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'deliberations_id' => ['unique' => false, 'column' => 'deliberation_id'], 'deliberations_seances_seance' => ['unique' => false, 'column' => 'seance_id'], 'seances_id' => ['unique' => false, 'column' => 'seance_id']], 'tableParameters' => []];

	public $deliberations_typeseances = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'deliberation_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'typeseance_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $deliberations_users = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'deliberation_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'user_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $deliberations_versions = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'version_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'model' => ['type' => 'string', 'null' => false, 'default' => null], 'foreign_key' => ['type' => 'integer', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'tdt_data_edition' => ['type' => 'binary', 'null' => true, 'default' => null], 'tdt_ar' => ['type' => 'binary', 'null' => true, 'default' => null], 'parapheur_bordereau' => ['type' => 'binary', 'null' => true, 'default' => null], 'commission' => ['type' => 'binary', 'null' => true, 'default' => null], 'tdt_data_bordereau' => ['type' => 'binary', 'null' => true, 'default' => null], 'delib_pdf' => ['type' => 'binary', 'null' => true, 'default' => null], 'debat' => ['type' => 'binary', 'null' => true, 'default' => null], 'deliberation' => ['type' => 'binary', 'null' => true, 'default' => null], 'texte_synthese' => ['type' => 'binary', 'null' => true, 'default' => null], 'texte_projet' => ['type' => 'binary', 'null' => true, 'default' => null], 'signature' => ['type' => 'binary', 'null' => true, 'default' => null], 'tdt_data_pdf' => ['type' => 'binary', 'null' => true, 'default' => null], 'data_deliberation' => ['type' => 'text', 'null' => true, 'default' => null], 'user_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => [], 'tableParameters' => []];

	public $historiques = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'delib_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'user_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'circuit_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'commentaire' => ['type' => 'text', 'null' => false, 'default' => null, 'length' => 1073741824], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'revision_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'user' => ['unique' => false, 'column' => 'user_id']], 'tableParameters' => []];

	public $infosupdefs = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'model' => ['type' => 'string', 'null' => false, 'default' => 'Deliberation', 'length' => 25], 'nom' => ['type' => 'string', 'null' => false, 'default' => null], 'commentaire' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 1500], 'ordre' => ['type' => 'integer', 'null' => false, 'default' => null], 'code' => ['type' => 'string', 'null' => false, 'default' => null], 'type' => ['type' => 'string', 'null' => false, 'default' => null], 'val_initiale' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 1000], 'recherche' => ['type' => 'boolean', 'null' => false, 'default' => false], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'actif' => ['type' => 'boolean', 'null' => true, 'default' => null], 'typemime' => ['type' => 'text', 'null' => true, 'default' => null], 'joindre_fusion' => ['type' => 'boolean', 'null' => true, 'default' => false], 'reactcomponent' => ['type' => 'boolean', 'null' => true, 'default' => null], 'edit_post_sign' => ['type' => 'boolean', 'null' => true, 'default' => false], 'api' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 150], 'api_type' => ['type' => 'string', 'null' => true, 'default' => null], 'api_limit' => ['type' => 'string', 'null' => true, 'default' => null], 'api_query' => ['type' => 'string', 'null' => true, 'default' => null], 'correlation' => ['type' => 'string', 'null' => true, 'default' => null], 'joindre_sae' => ['type' => 'boolean', 'null' => true, 'default' => false], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'model' => ['unique' => false, 'column' => 'model']], 'tableParameters' => []];

	public $infosupdefs_profils = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'profil_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'infosupdef_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'indexes' => [], 'tableParameters' => []];

	public $infosuplistedefs = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'infosupdef_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'ordre' => ['type' => 'integer', 'null' => false, 'default' => null], 'nom' => ['type' => 'string', 'null' => false, 'default' => null], 'actif' => ['type' => 'boolean', 'null' => false, 'default' => true], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'INFOSUPDEF_ID_ORDRE' => ['unique' => false, 'column' => ['infosupdef_id', 'ordre']]], 'tableParameters' => []];

	public $infosups = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'model' => ['type' => 'string', 'null' => false, 'default' => 'Deliberation', 'length' => 25], 'foreign_key' => ['type' => 'integer', 'null' => false, 'default' => null], 'infosupdef_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'text' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 1000], 'date' => ['type' => 'date', 'null' => true, 'default' => null], 'file_name' => ['type' => 'string', 'null' => true, 'default' => null], 'file_size' => ['type' => 'integer', 'null' => true, 'default' => null], 'file_type' => ['type' => 'string', 'null' => true, 'default' => null], 'content' => ['type' => 'binary', 'null' => true, 'default' => null], 'edition_data' => ['type' => 'binary', 'null' => true, 'default' => null], 'edition_data_typemime' => ['type' => 'text', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => true, 'default' => '(now())(0) without time zone'], 'modified' => ['type' => 'datetime', 'null' => true, 'default' => '(now())(0) without time zone'], 'geojson' => ['type' => 'text', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'foreign_key' => ['unique' => false, 'column' => 'foreign_key'], 'infosupdef_id' => ['unique' => false, 'column' => 'infosupdef_id'], 'text' => ['unique' => false, 'column' => 'text']], 'tableParameters' => []];

	public $ldapm_groups = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'lft' => ['type' => 'integer', 'null' => true, 'default' => null], 'rght' => ['type' => 'integer', 'null' => true, 'default' => null], 'name' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 500], 'dn' => ['type' => 'text', 'null' => true, 'default' => null, 'length' => 1073741824], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $ldapm_models_groups = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'ldapm_groups_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'model' => ['type' => 'string', 'null' => true, 'default' => null], 'foreign_key' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $listepresences = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'delib_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'acteur_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'present' => ['type' => 'boolean', 'null' => false, 'default' => null], 'mandataire' => ['type' => 'integer', 'null' => true, 'default' => null], 'suppleant_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $modelsections = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'name' => ['type' => 'string', 'null' => true, 'default' => null], 'description' => ['type' => 'string', 'null' => true, 'default' => null], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => '1'], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $modeltemplates = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'modeltype_id' => ['type' => 'integer', 'null' => true, 'default' => '1'], 'name' => ['type' => 'string', 'null' => false, 'default' => null], 'filename' => ['type' => 'string', 'null' => false, 'default' => null], 'filesize' => ['type' => 'integer', 'null' => true, 'default' => null], 'content' => ['type' => 'binary', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'file_output_format' => ['type' => 'string', 'null' => true, 'default' => null], 'force' => ['type' => 'boolean', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $modeltypes = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'name' => ['type' => 'string', 'null' => true, 'default' => null], 'description' => ['type' => 'string', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $modelvalidations = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'modelvariable_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'modelsection_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modeltype_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'min' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'max' => ['type' => 'integer', 'null' => true, 'default' => null], 'actif' => ['type' => 'boolean', 'null' => true, 'default' => true], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $modelvariables = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'name' => ['type' => 'string', 'null' => true, 'default' => null], 'description' => ['type' => 'string', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $natures = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'name' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 100], 'code' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 3], 'default' => ['type' => 'string', 'null' => true, 'default' => '99_AU', 'length' => 5], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $natures_typologiepieces = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'nature_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'typologiepiece_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $nomenclatures = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'parent_id' => ['type' => 'text', 'null' => true, 'default' => null], 'name' => ['type' => 'text', 'null' => false, 'default' => null], 'libelle' => ['type' => 'text', 'null' => false, 'default' => null], 'lft' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'rght' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $profils = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'name' => ['type' => 'string', 'null' => false, 'length' => 100], 'actif' => ['type' => 'boolean', 'null' => false, 'default' => true], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'role_id' => ['type' => 'integer', 'null' => false, 'default' => '1'], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $repositories_fields = ['id' => ['type' => 'uuid', 'null' => false, 'default' => 'gen_random_uuid()', 'length' => 36, 'key' => 'primary'], 'table_name' => ['type' => 'text', 'null' => true, 'default' => null], 'name' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 100], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $repositories_files = ['id' => ['type' => 'uuid', 'null' => false, 'default' => 'gen_random_uuid()', 'length' => 36, 'key' => 'primary'], 'field_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'name' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 256], 'path' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 512], 'mimetype' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 256], 'hash' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 256], 'size' => ['type' => 'integer', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => 'CURRENT_TIMESTAMP'], 'modified' => ['type' => 'datetime', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $roles = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'name' => ['type' => 'text', 'null' => false, 'default' => null, 'length' => 1073741824], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $seances = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'type_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'date_convocation' => ['type' => 'datetime', 'null' => true, 'default' => null], 'date' => ['type' => 'datetime', 'null' => false, 'default' => null], 'traitee' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'commentaire' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 1500], 'secretaire_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'president_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'debat_global' => ['type' => 'binary', 'null' => true, 'default' => null], 'debat_global_name' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 75], 'debat_global_size' => ['type' => 'integer', 'null' => true, 'default' => null], 'debat_global_type' => ['type' => 'string', 'null' => true, 'default' => null], 'pv_figes' => ['type' => 'smallinteger', 'null' => true, 'default' => null], 'pv_sommaire' => ['type' => 'binary', 'null' => true, 'default' => null], 'pv_complet' => ['type' => 'binary', 'null' => true, 'default' => null], 'numero_depot' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'idelibre_id' => ['type' => 'text', 'null' => true, 'default' => null], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'lft' => ['type' => 'integer', 'null' => true, 'default' => null], 'rght' => ['type' => 'integer', 'null' => true, 'default' => null], 'sae_numero_versement' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'sae_pastell_id' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 10], 'sae_etat' => ['type' => 'integer', 'null' => true, 'default' => null], 'sae_date' => ['type' => 'datetime', 'null' => true, 'default' => null], 'sae_commentaire' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 1500], 'sae_atr' => ['type' => 'binary', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'idx_seances_lft_rght' => ['unique' => false, 'column' => ['lft', 'rght']], 'seances_traitee' => ['unique' => false, 'column' => 'traitee'], 'type_id' => ['unique' => false, 'column' => 'type_id']], 'tableParameters' => []];

	public $sequences = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'nom' => ['type' => 'string', 'null' => false, 'default' => null], 'commentaire' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 1500], 'num_sequence' => ['type' => 'integer', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'debut_validite' => ['type' => 'date', 'null' => true, 'default' => null], 'fin_validite' => ['type' => 'date', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $services = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'order' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 50], 'name' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 100], 'circuit_defaut_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'actif' => ['type' => 'boolean', 'null' => false, 'default' => true], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'lft' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'rght' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $services_users = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'user_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'service_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'idx_services_users' => ['unique' => false, 'column' => 'user_id']], 'tableParameters' => []];

	public $tdt_messages = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'delib_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'tdt_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'tdt_type' => ['type' => 'integer', 'null' => false, 'default' => null], 'tdt_etat' => ['type' => 'integer', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'date_message' => ['type' => 'date', 'null' => true, 'default' => null], 'tdt_data' => ['type' => 'binary', 'null' => true, 'default' => null], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'tdtmsg_' => ['unique' => false, 'column' => 'delib_id']], 'tableParameters' => []];

	public $themes = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'order' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 50], 'libelle' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 500], 'actif' => ['type' => 'boolean', 'null' => false, 'default' => true], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'lft' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'rght' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'themes_left' => ['unique' => false, 'column' => 'lft']], 'tableParameters' => []];

	public $tokensmethods = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'controller' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 250], 'action' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 250], 'php_sid' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 32], 'user_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => true, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => true, 'default' => null], 'params' => ['type' => 'string', 'null' => true, 'default' => null], 'indexes' => ['tokensmethods_controller_action_params_idx' => ['unique' => true, 'column' => ['controller', 'action', 'params']], 'tokensmethods_action_idx' => ['unique' => false, 'column' => 'action'], 'tokensmethods_controller_idx' => ['unique' => false, 'column' => 'controller'], 'tokensmethods_php_sid_idx' => ['unique' => false, 'column' => 'php_sid'], 'tokensmethods_user_id_idx' => ['unique' => false, 'column' => 'user_id']], 'tableParameters' => []];

	public $typeactes = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'name' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 300], 'modele_projet_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modele_final_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'nature_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'compteur_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'created' => ['type' => 'date', 'null' => false, 'default' => null], 'modified' => ['type' => 'date', 'null' => false, 'default' => null], 'gabarit_projet' => ['type' => 'binary', 'null' => true, 'default' => null], 'gabarit_synthese' => ['type' => 'binary', 'null' => true, 'default' => null], 'gabarit_acte' => ['type' => 'binary', 'null' => true, 'default' => null], 'teletransmettre' => ['type' => 'boolean', 'null' => true, 'default' => true], 'gabarit_acte_name' => ['type' => 'text', 'null' => true, 'default' => null], 'gabarit_projet_name' => ['type' => 'text', 'null' => true, 'default' => null], 'gabarit_synthese_name' => ['type' => 'text', 'null' => true, 'default' => null], 'gabarit_projet_active' => ['type' => 'boolean', 'null' => false, 'default' => false], 'gabarit_synthese_active' => ['type' => 'boolean', 'null' => false, 'default' => false], 'gabarit_acte_active' => ['type' => 'boolean', 'null' => false, 'default' => false], 'modele_bordereau_projet_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'deliberant' => ['type' => 'boolean', 'null' => true, 'default' => false], 'publier' => ['type' => 'boolean', 'null' => true, 'default' => false], 'verser_sae' => ['type' => 'boolean', 'null' => true, 'default' => false], 'gabarit_projet_file_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'gabarit_synthese_file_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'gabarit_acte_file_id' => ['type' => 'uuid', 'null' => true, 'default' => null, 'length' => 36], 'indexes' => ['typeactes_id_key' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $typeacteurs = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'nom' => ['type' => 'string', 'null' => false, 'default' => null], 'commentaire' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 1500], 'elu' => ['type' => 'boolean', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'actif' => ['type' => 'boolean', 'null' => true, 'default' => true], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'elu' => ['unique' => false, 'column' => 'elu']], 'tableParameters' => []];

	public $typeseances = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'libelle' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 300], 'retard' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'action' => ['type' => 'smallinteger', 'null' => false, 'default' => null], 'compteur_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modele_projet_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modele_deliberation_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modele_convocation_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modele_ordredujour_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modele_pvsommaire_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modele_pvdetaille_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'color' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 7], 'modele_journal_seance_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'parent_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'lft' => ['type' => 'integer', 'null' => true, 'default' => null], 'rght' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'idx_typeseances_lft_rght' => ['unique' => false, 'column' => ['lft', 'rght']]], 'tableParameters' => []];

	public $typeseances_acteurs = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'typeseance_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'acteur_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $typeseances_typeactes = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'typeseance_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'typeacte_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'typeseancenature_nature' => ['unique' => false, 'column' => 'typeacte_id']], 'tableParameters' => []];

	public $typeseances_typeacteurs = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'typeseance_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'typeacteur_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'typeseance_id' => ['unique' => false, 'column' => ['typeseance_id', 'typeacteur_id']]], 'tableParameters' => []];

	public $typologiepieces = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'name' => ['type' => 'text', 'null' => false, 'default' => null], 'code' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 5], 'lft' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'rght' => ['type' => 'integer', 'null' => true, 'default' => '0'], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $users = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'profil_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'statut' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'username' => ['type' => 'string', 'null' => false, 'length' => 50], 'note' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 1500], 'circuit_defaut_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'password' => ['type' => 'string', 'null' => false, 'length' => 100], 'nom' => ['type' => 'string', 'null' => false, 'length' => 50], 'prenom' => ['type' => 'string', 'null' => false, 'length' => 50], 'email' => ['type' => 'string', 'null' => false], 'telfixe' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 20], 'telmobile' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 20], 'date_naissance' => ['type' => 'date', 'null' => true, 'default' => null], 'accept_notif' => ['type' => 'boolean', 'null' => true, 'default' => false], 'mail_refus' => ['type' => 'boolean', 'null' => true, 'default' => false], 'mail_traitement' => ['type' => 'boolean', 'null' => true, 'default' => false], 'mail_insertion' => ['type' => 'boolean', 'null' => true, 'default' => false], 'position' => ['type' => 'integer', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'mail_modif_projet_cree' => ['type' => 'boolean', 'null' => true, 'default' => false], 'mail_modif_projet_valide' => ['type' => 'boolean', 'null' => true, 'default' => false], 'mail_retard_validation' => ['type' => 'boolean', 'null' => true, 'default' => false], 'theme' => ['type' => 'text', 'null' => true, 'default' => null], 'active' => ['type' => 'boolean', 'null' => true, 'default' => true], 'mail_error_send_tdt_auto' => ['type' => 'boolean', 'null' => true, 'default' => false], 'mail_projet_valide' => ['type' => 'boolean', 'null' => true, 'default' => false], 'mail_projet_valide_valideur' => ['type' => 'boolean', 'null' => true, 'default' => false], 'mail_majtdtcourrier' => ['type' => 'boolean', 'null' => true, 'default' => false], 'service_defaut_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'preference_first_login_active' => ['type' => 'boolean', 'null' => true, 'default' => false], 'mail_error_sae' => ['type' => 'boolean', 'null' => true, 'default' => false], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'username' => ['unique' => true, 'column' => 'username']], 'tableParameters' => []];

	public $versions = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'subject' => ['type' => 'text', 'null' => false, 'default' => null], 'version' => ['type' => 'text', 'null' => false, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => ['id', 'subject', 'version']]], 'tableParameters' => []];

	public $votes = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'acteur_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'delib_id' => ['type' => 'integer', 'null' => false, 'default' => '0'], 'resultat' => ['type' => 'integer', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => false, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => false, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'acteur_id' => ['unique' => false, 'column' => 'acteur_id'], 'deliberation_id' => ['unique' => false, 'column' => 'delib_id']], 'tableParameters' => []];

	public $wkf_circuits = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'nom' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 250], 'description' => ['type' => 'text', 'null' => true, 'default' => null, 'length' => 1073741824], 'actif' => ['type' => 'boolean', 'null' => false, 'default' => true], 'defaut' => ['type' => 'boolean', 'null' => false, 'default' => false], 'created_user_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'modified_user_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => true, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'created_user_id' => ['unique' => false, 'column' => 'created_user_id'], 'modified_user_id' => ['unique' => false, 'column' => 'modified_user_id']], 'tableParameters' => []];

	public $wkf_compositions = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'etape_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'type_validation' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 1], 'trigger_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'created_user_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'modified_user_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => true, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => true, 'default' => null], 'soustype' => ['type' => 'integer', 'null' => true, 'default' => null], 'type_composition' => ['type' => 'string', 'null' => true, 'default' => 'USER', 'length' => 20], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'etape_id' => ['unique' => false, 'column' => 'etape_id'], 'trigger' => ['unique' => false, 'column' => 'trigger_id']], 'tableParameters' => []];

	public $wkf_etapes = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'circuit_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'nom' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 250], 'description' => ['type' => 'text', 'null' => true, 'default' => null, 'length' => 1073741824], 'type' => ['type' => 'integer', 'null' => false, 'default' => null], 'ordre' => ['type' => 'integer', 'null' => false, 'default' => null], 'created_user_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'modified_user_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => true, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => true, 'default' => null], 'soustype' => ['type' => 'integer', 'null' => true, 'default' => null], 'cpt_retard' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'circuit_id' => ['unique' => false, 'column' => 'circuit_id'], 'nom' => ['unique' => false, 'column' => 'nom']], 'tableParameters' => []];

	public $wkf_signatures = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'type_signature' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 100], 'signature' => ['type' => 'text', 'null' => false, 'default' => null, 'length' => 1073741824], 'visa_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id']], 'tableParameters' => []];

	public $wkf_traitements = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'circuit_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'target_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'numero_traitement' => ['type' => 'integer', 'null' => false, 'default' => '1'], 'treated_orig' => ['type' => 'smallinteger', 'null' => false, 'default' => '0'], 'created_user_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'modified_user_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'created' => ['type' => 'datetime', 'null' => true, 'default' => null], 'modified' => ['type' => 'datetime', 'null' => true, 'default' => null], 'treated' => ['type' => 'boolean', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'circuits' => ['unique' => false, 'column' => 'circuit_id'], 'target' => ['unique' => false, 'column' => 'target_id'], 'traitements_treated' => ['unique' => false, 'column' => 'treated_orig']], 'tableParameters' => []];

	public $wkf_visas = ['id' => ['type' => 'integer', 'null' => false, 'default' => null, 'length' => 11, 'key' => 'primary'], 'traitement_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'trigger_id' => ['type' => 'integer', 'null' => false, 'default' => null], 'signature_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'etape_nom' => ['type' => 'string', 'null' => true, 'default' => null, 'length' => 250], 'etape_type' => ['type' => 'integer', 'null' => false, 'default' => null], 'action' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 2], 'commentaire' => ['type' => 'text', 'null' => true, 'default' => null, 'length' => 1073741824], 'date' => ['type' => 'datetime', 'null' => true, 'default' => null], 'numero_traitement' => ['type' => 'integer', 'null' => false, 'default' => null], 'type_validation' => ['type' => 'string', 'null' => false, 'default' => null, 'length' => 1], 'etape_id' => ['type' => 'integer', 'null' => true, 'default' => null], 'date_retard' => ['type' => 'datetime', 'null' => true, 'default' => null], 'indexes' => ['PRIMARY' => ['unique' => true, 'column' => 'id'], 'wkf_visas_traitements' => ['unique' => false, 'column' => 'traitement_id'], 'wkf_visas_trigger_id' => ['unique' => false, 'column' => 'trigger_id']], 'tableParameters' => []];

}
